#include <ctime>
#include <random>

#include <SDL.h>
#include <SDL_ttf.h>
#include <SDL_mixer.h>
#include "game.h"

#ifdef DREAMCAST
	#include <kos.h>
    #include <SDL_dreamcast.h>
	KOS_INIT_FLAGS(INIT_DEFAULT);
	
	extern uint8 romdisk[];
	KOS_INIT_ROMDISK(romdisk);
#endif


Game game;

int main(int argc, char* argv[])
{
    #ifdef DREAMCAST
		fs_chdir("/rd/");
		printf("Starting...\n");
	#endif
    
    srand(time(NULL));
    SDL_Init( SDL_INIT_VIDEO | SDL_INIT_AUDIO | SDL_INIT_JOYSTICK );
    Mix_OpenAudio(22050, MIX_DEFAULT_FORMAT, 2, 4096);
    
    #ifdef DREAMCAST
        SDL_DC_MapKey(0,SDL_DC_START,SDLK_SPACE); //START button
        SDL_DC_MapKey(1,SDL_DC_START,SDLK_SPACE); //START button
        SDL_DC_MapKey(0,SDL_DC_UP,SDLK_w);
        SDL_DC_MapKey(0,SDL_DC_DOWN,SDLK_s);
        SDL_DC_MapKey(1,SDL_DC_UP,SDLK_UP);
        SDL_DC_MapKey(1,SDL_DC_DOWN,SDLK_DOWN);

        SDL_JoystickEventState(SDL_ENABLE);
        
        SDL_JoystickOpen(0);
        SDL_JoystickOpen(1);
        SDL_ShowCursor(0);
    
        //Dreamcast delay...
        SDL_Delay(20);
        SDL_Event event;
        while(SDL_PollEvent(&event))
            SDL_Delay(20);
    #endif
    
    TTF_Init();
    game.initialize();

    while (game.isPlaying())
    {
        game.update();
        game.draw();
        game.handleEvents();
        //This is the real delay of the game... Original is SDL_Delay(17);
    }

    delete game.getCurrentState();
    Mix_CloseAudio();
    TTF_Quit();
    SDL_Quit();

    return 0;
}
